lanv2(3)

NAME
lanv2 - lanv2: 2x2 Schur factor

SYNOPSIS

  Functions
subroutine dlanv2 (a, b, c, d, rt1r, rt1i, rt2r, rt2i, cs, sn)
DLANV2 computes the Schur factorization of a real 2-by-2 nonsymmetric matrix in standard form.
subroutine slanv2 (a, b, c, d, rt1r, rt1i, rt2r, rt2i, cs, sn)
SLANV2 computes the Schur factorization of a real 2-by-2 nonsymmetric matrix in standard form.

Detailed Description

Function Documentation

  subroutine dlanv2 (double precision a, double precision b, double precision c, double precision d, double precision rt1r, double precision rt1i, double precision rt2r, double precision rt2i, double precision cs, double precision sn)

DLANV2 computes the Schur factorization of a real 2-by-2 nonsymmetric matrix in standard form.

Purpose:

    !>
    !> DLANV2 computes the Schur factorization of a real 2-by-2 nonsymmetric
    !> matrix in standard form:
    !>
    !>      [ A  B ] = [ CS -SN ] [ AA  BB ] [ CS  SN ]
    !>      [ C  D ]   [ SN  CS ] [ CC  DD ] [-SN  CS ]
    !>
    !> where either
    !> 1) CC = 0 so that AA and DD are real eigenvalues of the matrix, or
    !> 2) AA = DD and BB*CC < 0, so that AA + or - sqrt(BB*CC) are complex
    !> conjugate eigenvalues.
    !>

Parameters
    A

    !>          A is DOUBLE PRECISION
    !>

    B

    !>          B is DOUBLE PRECISION
    !>

    C

    !>          C is DOUBLE PRECISION
    !>

    D

    !>          D is DOUBLE PRECISION
    !>          On entry, the elements of the input matrix.
    !>          On exit, they are overwritten by the elements of the
    !>          standardised Schur form.
    !>

    RT1R

    !>          RT1R is DOUBLE PRECISION
    !>

    RT1I

    !>          RT1I is DOUBLE PRECISION
    !>

    RT2R

    !>          RT2R is DOUBLE PRECISION
    !>

    RT2I

    !>          RT2I is DOUBLE PRECISION
    !>          The real and imaginary parts of the eigenvalues. If the
    !>          eigenvalues are a complex conjugate pair, RT1I > 0.
    !>

    CS

    !>          CS is DOUBLE PRECISION
    !>

    SN

    !>          SN is DOUBLE PRECISION
    !>          Parameters of the rotation matrix.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>  Modified by V. Sima, Research Institute for Informatics, Bucharest,
    !>  Romania, to reduce the risk of cancellation errors,
    !>  when computing real eigenvalues, and to ensure, if possible, that
    !>  abs(RT1R) >= abs(RT2R).
    !>

Definition at line 126 of file dlanv2.f.

  subroutine slanv2 (real a, real b, real c, real d, real rt1r, real rt1i, real rt2r, real rt2i, real cs, real sn)

SLANV2 computes the Schur factorization of a real 2-by-2 nonsymmetric matrix in standard form.

Purpose:

    !>
    !> SLANV2 computes the Schur factorization of a real 2-by-2 nonsymmetric
    !> matrix in standard form:
    !>
    !>      [ A  B ] = [ CS -SN ] [ AA  BB ] [ CS  SN ]
    !>      [ C  D ]   [ SN  CS ] [ CC  DD ] [-SN  CS ]
    !>
    !> where either
    !> 1) CC = 0 so that AA and DD are real eigenvalues of the matrix, or
    !> 2) AA = DD and BB*CC < 0, so that AA + or - sqrt(BB*CC) are complex
    !> conjugate eigenvalues.
    !>

Parameters
    A

    !>          A is REAL
    !>

    B

    !>          B is REAL
    !>

    C

    !>          C is REAL
    !>

    D

    !>          D is REAL
    !>          On entry, the elements of the input matrix.
    !>          On exit, they are overwritten by the elements of the
    !>          standardised Schur form.
    !>

    RT1R

    !>          RT1R is REAL
    !>

    RT1I

    !>          RT1I is REAL
    !>

    RT2R

    !>          RT2R is REAL
    !>

    RT2I

    !>          RT2I is REAL
    !>          The real and imaginary parts of the eigenvalues. If the
    !>          eigenvalues are a complex conjugate pair, RT1I > 0.
    !>

    CS

    !>          CS is REAL
    !>

    SN

    !>          SN is REAL
    !>          Parameters of the rotation matrix.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>  Modified by V. Sima, Research Institute for Informatics, Bucharest,
    !>  Romania, to reduce the risk of cancellation errors,
    !>  when computing real eigenvalues, and to ensure, if possible, that
    !>  abs(RT1R) >= abs(RT2R).
    !>

Definition at line 126 of file slanv2.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.